<?php
/*
 * Copyright (C) 2007-2014, M2X BV
 *
 * Authors: Jean-Paul Saman
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 *****************************************************************************/

if (!defined('W2P_BASE_DIR')) {
    die('You should not access this file directly.');
}


$obj = new CTimesheet();
// bind the informations (variables) retrieved via post to the timesheet object
if (!$obj->bind( $_POST )) {
    $AppUI->setMsg( $obj->getError(), UI_MSG_ERROR );
    $AppUI->redirect();
}

// detect if a delete operation has to be processed
$workperiod = w2PgetParam($_POST, 'workperiod', 0);
$stat = w2PgetParam($_POST, 'stat', 0);
$del = w2PgetParam($_POST, 'del', 0);

$obj->timesheet_id = $_POST["timesheet_id"];
$obj->timesheet_status = $_POST["timesheet_status"];
$obj->timesheet_period = $_POST["timesheet_period"];
$obj->timesheet_date = $_POST["timesheet_date"];
$obj->timesheet_creator = $_POST["timesheet_creator"];
$obj->timesheet_worked = $_POST["timesheet_worked"];

$AppUI->setMsg( 'Timesheet' );
$msg = "m=timesheet";
if ($del) {
    if (!$obj->delete()) {
        $AppUI->setMsg( 'Timesheet delete failed', UI_MSG_ERROR );
    } else {
        $AppUI->setMsg( "Timesheet deleted", UI_MSG_ALERT);
    }
} else if ($stat) {
    if (!$obj->change_status($obj->timesheet_status)) {
        $AppUI->setMsg( "Timesheet changing status failed", UI_MSG_ERROR );
    } else {
        $AppUI->setMsg( "Timesheet status updated", UI_MSG_ALERT);
        $msg = "m=timesheet&a=addedit&timesheet_id=" . $obj->timesheet_id;
    }
} else if ($workperiod) {
    if (!$obj->change_period($obj->timesheet_period)) {
        $AppUI->setMsg( "Timesheet period failed", UI_MSG_ERROR );
    } else {
        $AppUI->setMsg( "Timesheet period changed", UI_MSG_ALERT);
        $msg = "m=timesheet&a=addedit&timesheet_id=" . $obj->timesheet_id;
    }
} else {
    // simply store the added/edited quote in database via the store method of the timesheet
    if (!$obj->store()) {
        $AppUI->setMsg( "Timesheet saving failed", UI_MSG_ERROR );
    } else {
        $isNotNew = $obj->timesheet_id;
        $AppUI->setMsg( $isNotNew ? 'Timesheet updated' : 'Timesheet inserted', UI_MSG_OK);
    }
}
$AppUI->redirect($msg);
?>
